title: Cluster info
type: object
description: Represents a Kubernetes cluster info
properties:
  allocatable:
    $ref: './cluster_resource.yaml'
  capacity:
    $ref: './cluster_resource.yaml'
  limits:
    $ref: './cluster_resource.yaml'
  requested:
    $ref: './cluster_resource.yaml'
  created:
    type: string
    format: '^\d{4}-\d{2}-\d{2}\s\d{2}:\d{2}$'
  nodeCount:
    type: integer
  provider:
    type: string
  kubeProxyVersion:
    type: string